# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Protected Member Functions
dirac::StreamFieldInput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamFieldInput:

List of all members.

## Public Member Functions
| StreamFieldInput ()
| Default Constructor.
| StreamFieldInput (std::istream *ip_pic_ptr, const SourceParams &sparams)
| Constructor.
virtual | ~StreamFieldInput ()
| Destructor.
virtual void | Skip (const int n)
| Skip n frames of input.
virtual bool | ReadNextPicture (Picture &myfield)
| Read the next field from the file.
bool | ReadNextFrame (Picture &field1, Picture &field2)
| Read the next frame from the file.
Public Member Functions inherited from dirac::StreamPicInput
| StreamPicInput ()
| Default Constructor.
| StreamPicInput (std::istream *ip_pic_ptr, const SourceParams &sparams)
| Constructor.
virtual | ~StreamPicInput ()
| Destructor.
SourceParams & | GetSourceParams () const
| Get the source parameters.
bool | End () const
| Returns true if we're at the end of the input, false otherwise.

## Protected Member Functions
bool | ReadFieldComponent (PicArray &pic_data1, PicArray &pic_data2, const CompSort &cs)
| Read both Field components from the file.
bool | ReadFieldComponent (bool is_field1, PicArray &pic_data, const CompSort &cs)
| Read one Field component from the file.

## Additional Inherited Members
Protected Attributes inherited from dirac::StreamPicInput
SourceParams | m_sparams
| Source parameters.
std::istream * | m_ip_pic_ptr
| Input stream.

## Constructor & Destructor Documentation

dirac::StreamFieldInput::StreamFieldInput | ( |  | ) |

dirac::StreamFieldInput::StreamFieldInput | ( | std::istream * | ip_pic_ptr,
|  | const SourceParams & | sparams
| ) |  |

Constructor, takes

Parameters:

  ip_pic_ptr | input stream to read from
  sparams | Source parameters

virtual dirac::StreamFieldInput::~StreamFieldInput | ( |  | ) |
| virtual

## Member Function Documentation

bool dirac::StreamFieldInput::ReadFieldComponent | ( | PicArray & | pic_data1,
|  | PicArray & | pic_data2,
|  | const CompSort & | cs
| ) |  |
| protected

bool dirac::StreamFieldInput::ReadFieldComponent | ( | bool | is_field1,
|  | PicArray & | pic_data,
|  | const CompSort & | cs
| ) |  |
| protected

bool dirac::StreamFieldInput::ReadNextFrame | ( | Picture & | field1,
|  | Picture & | field2
| ) |  |

virtual bool dirac::StreamFieldInput::ReadNextPicture | ( | Picture & | myfield | ) |
| virtual

Implements dirac::StreamPicInput.

virtual void dirac::StreamFieldInput::Skip | ( | const int | n | ) |
| virtual

Implements dirac::StreamPicInput.

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.